clear
capture log close
log using "output.txt", text replace
import excel using "Master_Data_file.xlsx", firstr

** Generate a SubjectID for each participant
egen SubjectID = group(Inventory1 Instructor InstructorCode Participant)
tab SubjectID

** Drop teams where an instructor played to fill teams **
drop if Parenthesis10 == 1

** Collapse to get the standard deviation
collapse (sd) order, by(Inventory1 SubjectID)

** This gets us the variance
replace order = order^2
** This is to get summary statistics

sort order

table Inventory1, c(mean order sd order median order) f(%9.2f)
**For Stata v17.0 use: 
*table Inventory1, statistic(mean order) statistic(sd order) statistic(median order)

ttest order, by(Inventory1)

** This is the test as in the paper
ranksum order, by(Inventory1)

ksmirnov order, by(Inventory1)

sort Inventory1 order
cumul order, gen(cdf) by(Inventory1)

twoway (line cdf order if Inventory1 == 0 & order < 11000, sort lcolor(gs4)) ///
(line cdf order if Inventory1 == 1 & order < 11000, sort lcolor(gs8) lpattern(-.) xtitle(Order Variance) ytitle(Fraction of Subjects) legend(order(1 "Baseline" 2 "Inventory")) ///
xlabel(0(2000)10000))

** Look for outliers **
egen stdvar = std(order), by(Inventory1)
tab stdvar
drop if abs(stdvar) > 3
ttest order, by(Inventory1)
ranksum order, by(Inventory1)

/*

** transform by log
replace order = log(order)
ksmirnov order, by(Inventory1)
ttest order, by(Inventory1)

hist order, by(Inventory1)

histogram order, by(Inventory1) frac

tab order 

drop if order > 34000

ttest order, by(Inventory1)
ranksum order, by(Inventory1)
*/
