clear
capture log close
log using "output_original.txt", text replace
import excel using "OriginalData.xlsx", firstr



table Inventory1, c(mean order sd order median order) f(%9.2f)
**For Stata v17.0 use: 
*table Inventory1, statistic(mean order) statistic(sd order) statistic(median order)

ttest order, by(Inventory1)

** This is the test as in the paper
ranksum order, by(Inventory1)

sort Inventory1 order
cumul order, gen(cdf) by(Inventory1)

twoway (line cdf order if Inventory1 == 0 & order < 11000, sort lcolor(gs4)) ///
(line cdf order if Inventory1 == 1 & order < 11000, sort lcolor(gs8) lpattern(-.) xtitle(Order Variance) ytitle(Fraction of Subjects) legend(order(1 "Baseline" 2 "Inventory")) ///
xlabel(0(25)150))

/*
histogram order, by(Inventory1) frac

tab order 

drop if order > 34000

ttest order, by(Inventory1)
ranksum order, by(Inventory1)
*/
