clear
capture log close
log using "output.txt", text replace


** Run This Code Once Then Comment Out **
** Note that some groups are dropped because, to run the Beer Game, you need groups of 4. If a classroom did not have a number of students divisible by 4, then the researchers played the extra roles. These groups where a research played are dropped from the analysis.

import excel using "Kyle Download/OTM300a_noInv.xlsx", firstr
gen session = 1
gen Inventory1 = 0 
split Participant, p(".")
destring Participant2, replace
drop Group
rename Participant2 Group
rename Participant1 Role
gen Parenthesis10 = 0 /* No groups to drop here */
save  "Kyle Download/OTM300a_noInv.dta", replace
clear

import excel using "Kyle Download/OTM300b_Inv.xlsx", firstr
gen session = 2
gen Inventory1 = 1 
split Participant, p(".")
destring Participant2, replace
drop Group
rename Participant2 Group
rename Participant1 Role
gen Parenthesis10 = (Group == 23 | Group == 28 | Group == 31) /* No groups to drop here */
save  "Kyle Download/OTM300b_Inv.dta", replace
clear

import excel using "Kyle Download/OTM300c_noInv.xlsx", firstr
gen session = 3
gen Inventory1 = 0 
split Participant, p(".")
destring Participant2, replace
drop Group
rename Participant2 Group
rename Participant1 Role
tab Group
gen Parenthesis10 = (Group > 7) /* No groups to drop here */
save  "Kyle Download/OTM300c_noInv.dta", replace
clear

import excel using "Kyle Download/OTM300d_Inv.xlsx", firstr
gen session = 4
gen Inventory1 = 1 
split Participant, p(".")
destring Participant2, replace
drop Group
rename Participant2 Group
rename Participant1 Role
tab Group
gen Parenthesis10 = (Group == 10 | Group == 13) /* No groups to drop here */
save  "Kyle Download/OTM300d_Inv.dta", replace
clear
**************************************

** Now combine the data
use "Kyle Download/OTM300a_noInv.dta"
append using "Kyle Download/OTM300b_Inv.dta"
append using "Kyle Download/OTM300c_noInv.dta"
append using "Kyle Download/OTM300d_Inv.dta"

** Generate a SubjectID for each participant
egen SubjectID = group(session Participant)
tab SubjectID

** Drop teams where an instructor played to fill teams **
drop if Parenthesis10 == 1
tab SubjectID

** Collapse to get the standard deviation
collapse (sd) order, by(Inventory1 SubjectID)

** This gets us the variance
replace order = order^2

sort order 
** This is to get summary statistics

table Inventory1, c(mean order sd order median order) f(%9.2f)
**For Stata v17.0, use
*table Inventory1, statistic(mean order) statistic(sd order) statistic(median order)

ttest order, by(Inventory1)

** This is the test as in the paper
ranksum order, by(Inventory1)

ksmirnov order, by(Inventory1)

sort Inventory1 order
cumul order, gen(cdf) by(Inventory1)
twoway (line cdf order if Inventory1 == 0 & order <= 1000, sort lcolor(gs4)) ///
(line cdf order if Inventory1 == 1 & order <= 1000, sort lcolor(gs8) lpattern(-.) xtitle(Order Variance) ytitle(Fraction of Subjects) legend(order(1 "Baseline" 2 "Inventory")) ///
xlabel(0(200)1000))


** Look for outliers **
egen stdvar = std(order), by(Inventory1)
tab stdvar
drop if abs(stdvar) > 3
ttest order, by(Inventory1)
ranksum order, by(Inventory1)
